# Generated by Django 2.2.5 on 2019-12-06 04:49

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Pet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pet_name', models.CharField(max_length=50)),
                ('pet_type', models.CharField(choices=[('Cat', 'Cat'), ('Dog', 'Dog'), ('Other', 'Other')], max_length=50)),
                ('pet_breed', models.CharField(max_length=50)),
                ('pet_gender', models.CharField(choices=[('Male', 'Male'), ('Female', 'Female')], max_length=50)),
                ('pet_size', models.CharField(choices=[('Small', 'Small'), ('Medium', 'Medium'), ('Large', 'Large'), ('XL', 'XL')], max_length=50)),
                ('pet_age', models.CharField(choices=[('Young', 'Young'), ('Adult', 'Adult'), ('Senior', 'Senior')], max_length=50)),
                ('pet_health', models.CharField(default='', max_length=50)),
                ('adoption_fee', models.CharField(default='', max_length=50)),
                ('description', models.TextField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_phone', models.CharField(blank=True, max_length=50)),
                ('owner_country', models.CharField(blank=True, max_length=50)),
                ('owner_address', models.CharField(blank=True, max_length=200)),
                ('owner_city', models.CharField(blank=True, max_length=50)),
                ('owner_zipcode', models.CharField(blank=True, max_length=50)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PhotoPet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('photo', models.ImageField(upload_to='images/')),
                ('pet', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='alghi.Pet')),
            ],
        ),
        migrations.AddField(
            model_name='pet',
            name='owner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='alghi.Profile'),
        ),
    ]
